Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1333082 - Disable createrepo does not work on group project
Summary: Disable createrepo does not work on group project
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Copr
Classification: Community
Component: frontend
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: clime
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-04 15:37 UTC by Miroslav Suchý
Modified: 2016-10-03 20:21 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-12 17:07:52 UTC
Embargoed:


Attachments (Terms of Use)

Description Miroslav Suchý 2016-05-04 15:37:38 UTC
Description of problem:
copr-cli modify --disable_createrepo true @copr/TEST1462373350Project2
copr-cli modify --disable_createrepo false @copr/TEST1462373350Project2

This should trigger action for group @copr, however it create action:
{
  "actions": [
    {
      "action_type": 3, 
      "created_on": 1462375948, 
      "data": "{\"username\": \"msuchy\", \"projectname\": \"TEST1462373350Project2\", \"chroots\": [\"fedora-23-x86_64\"]}"

So in fact the createrepo is not run, so the packages are not visible.

Comment 1 clime 2016-05-04 17:15:32 UTC
Fixed by https://github.com/fedora-copr/copr/commit/62043155.

Comment 2 Miroslav Suchý 2016-05-05 13:06:28 UTC
Package including this fix has been deployed on production instance of Copr.

Comment 3 Fedora Update System 2016-05-27 15:21:00 UTC
copr-frontend-1.93-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-af777aa589

Comment 4 Fedora Update System 2016-05-28 03:24:04 UTC
copr-frontend-1.93-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-af777aa589

Comment 5 clime 2016-06-03 14:34:54 UTC
New COPR version was released.

Comment 6 Fedora Update System 2016-07-01 14:44:57 UTC
copr-frontend-1.97-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ec39f79e18

Comment 7 Fedora Update System 2016-07-02 20:55:13 UTC
copr-frontend-1.97-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ec39f79e18

Comment 8 Fedora Update System 2016-08-17 14:43:50 UTC
copr-frontend-1.99-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c38bc25dbc

Comment 9 Fedora Update System 2016-08-18 01:50:30 UTC
copr-frontend-1.99-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c38bc25dbc

Comment 10 clime 2016-08-18 16:25:45 UTC
New Copr has been released.

Comment 11 Fedora Update System 2016-09-12 06:25:32 UTC
copr-frontend-1.101-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a3cdc5801

Comment 12 Fedora Update System 2016-09-12 14:50:58 UTC
copr-frontend-1.101-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-5a3cdc5801

Comment 13 Fedora Update System 2016-10-03 20:21:07 UTC
copr-frontend-1.101-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.